Форум русскоязычного сообщества Ubuntu


Автор Тема: Сломаны пакеты  (Прочитано 2672 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн UbuntuPROuser

  • Автор темы
  • Любитель
  • *
  • Сообщений: 61
    • Просмотр профиля
Сломаны пакеты
« : 19 Январь 2020, 11:56:43 »
Имеется Ubuntu 18.04. Стоял WineHq Stable (из добавленного репозитория)и PlayOnLinux (из deb). Пользовался и не знал проблем. Запускал некоторые игры. Потом, периодически читая о том, что отдельный Wine в системе не нужен, ведь есть свои Вайны в ПлейОнЛинукс, я решил удалить Wine из системы. Написал sudo apt purge winehq-stable, потом autoremove сделал, хоп - и PlayOnLinux (далее POL) пишет, что нет библиотек для 32битных приложений и ни одна игра  (почти) у меня не запускается.
 Ладно, думаю, поставлю обратно wine. Sudo apt install winehq-stable - обнаружены сломанные пакеты (что-то про winehq-4.02), которые нельзя исправить. Удалил папки вайн, удалил репозиторий вайна и повторно установил вайн из репозиториев Ubuntu, т.к. даже после всех удалений WineHQ ругался на сломанные пакеты. Все установилось. POL перестал ругаться, игры при запуске стали заходить на полступеньки дальше - в NFS Most Wanted, к примеру, начала появляться прозрачная рамка игры, значок на панели задач и все. Раньше выдавало просто ошибку при запуске. Переустановил POL - без изменений. Добавил опять репозиторий winehq - "сломанные пакеты, которые невозможно исправить".
Кто может подсказать, что делать, куда копать и как исправить/удалить сломанные пакеты?
Если нужна какая-то отладочная информация, то пишите, какая - добавлю при первой возможности.
Может кто может По TeamViewer'у помочь, было бы неплохо, ведь есть еще ворох второстепенных вопросов, которые особо не хочу расписывать, ибо мелкие, а писать надо много.
« Последнее редактирование: 19 Январь 2020, 11:58:32 от UbuntuPROuser »

Оффлайн bezbo

  • Старожил
  • *
  • Сообщений: 1485
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #1 : 19 Январь 2020, 13:02:33 »
как исправить/удалить сломанные пакеты?

sudo apt-get update --fix-missing
sudo apt-get install -f
sudo dpkg --configure -a
sudo apt-get clean

в самых тяжелых случаях
dpkg -l | grep ^ .. r
sudo dpkg --remove --force-remove-reinstreq
sudo apt-get clean

Оффлайн UbuntuPROuser

  • Автор темы
  • Любитель
  • *
  • Сообщений: 61
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #2 : 19 Январь 2020, 13:23:54 »
в самых тяжелых случаях
Спасибо, вечером, когда будет доступ к ноутбуку, буду пробовать.
Если не затруднит: чем команды отличаются и как я смог нарваться на сломанные пакеты? Я ведь пользовался штатными командами.

Оффлайн vladimirzhuravlev

  • Старожил
  • *
  • Сообщений: 1270
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #3 : 19 Январь 2020, 13:36:46 »
в самых тяжелых случаях
Очень часто встречаюсь со сломанными пакетами, то, что выше для тяжёлых случаев может как-то повлиять на работу системы ?

Оффлайн bezbo

  • Старожил
  • *
  • Сообщений: 1485
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #4 : 19 Январь 2020, 13:55:13 »
dpkg -l | grep ^ .. r
Эта команда покажет все пакеты, содержащие флаг «r» в третьем поле

sudo dpkg --remove --force-remove-reinstreq package-name
принудительно удалит package-name (имя пакета можно взять из предыдущей команды)

Оффлайн UbuntuPROuser

  • Автор темы
  • Любитель
  • *
  • Сообщений: 61
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #5 : 19 Январь 2020, 21:12:41 »
sudo apt-get update --fix-missing
sudo apt-get install -f
sudo dpkg --configure -a
sudo apt-get clean
Не помогло.
dpkg -l | grep ^ .. r
"grep: ..: Это каталог
grep: r: Нет такого файла или каталога"

sudo dpkg --remove --force-remove-reinstreq
(Нажмите, чтобы показать/скрыть)

А вот, что пишет мне на sudo install apt winehq-stable:
(Нажмите, чтобы показать/скрыть)

Оффлайн bezbo

  • Старожил
  • *
  • Сообщений: 1485
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #6 : 19 Январь 2020, 21:35:19 »
winehq-stable : Зависит: wine-stable (= 4.0.3~bionic)

egrep -rh '^deb' /etc/apt/sources*?

Оффлайн UbuntuPROuser

  • Автор темы
  • Любитель
  • *
  • Сообщений: 61
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #7 : 20 Январь 2020, 13:35:28 »
egrep -rh '^deb' /etc/apt/sources*
?
(Нажмите, чтобы показать/скрыть)

ТС, как видно по состоянию на 19/03/2021 потерял интерес к созданной им теме (пометка Решено в теме отсутствует, тема оставлена не закрытой, сообщений в теме давно не было). Тема стародавняя (последнее сообщение в топике: 13/04/2020; последнее сообщение от ТС в топике: 20/01/2020). Модератором раздела принято решение закрыть тему.
--zg_nico
« Последнее редактирование: 19 Март 2021, 14:09:50 от zg_nico »

Оффлайн Bear-397

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #8 : 23 Январь 2020, 13:57:22 »
Столкнулся с похожей проблемой: wine не хотел обновляться сам, попытался вручную. Кое-как удалил, но установить заново не удалось. Советы выше пробовал, не помогло. Вот вывод команд, которые я вводил:

$ sudo apt install wine-stable
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
 wine-stable : Зависит: wine-stable-i386 (= 5.0.0~bionic)
               Зависит: wine-stable-amd64 (= 5.0.0~bionic) но он не будет установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.



$ sudo apt install wine-stable wine-stable-i386 wine-stable-amd64
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
 wine-stable-amd64 : Зависит: libfaudio0 но он не может быть установлен
                     Рекомендует: libosmesa6 но он не будет установлен
 wine-stable-i386:i386 : Зависит: libfaudio0:i386 но он не может быть установлен
                         Зависит: libpulse0:i386 (>= 0.99.1) но он не будет установлен
                         Зависит: libasound2-plugins:i386 но он не будет установлен
                         Рекомендует: libcapi20-3:i386 но он не будет установлен
                         Рекомендует: libcups2:i386 но он не будет установлен
                         Рекомендует: libglu1-mesa:i386 но он не будет установлен или
                                                 libglu1:i386
                         Рекомендует: libgsm1:i386 но он не будет установлен
                         Рекомендует: libgssapi-krb5-2:i386 но он не будет установлен
                         Рекомендует: libkrb5-3:i386 но он не будет установлен
                         Рекомендует: libodbc1:i386 но он не будет установлен
                         Рекомендует: libosmesa6:i386 но он не будет установлен
                         Рекомендует: libsane:i386 или
                                                 libsane1:i386 но он не будет установлен
                         Рекомендует: libsdl2-2.0-0:i386 но он не будет установлен
                         Рекомендует: libv4l-0:i386 но он не будет установлен
                         Рекомендует: libxcomposite1:i386 но он не будет установлен
                         Рекомендует: libxcursor1:i386 но он не будет установлен
                         Рекомендует: libxi6:i386 но он не будет установлен
                         Рекомендует: libxrandr2:i386 но он не будет установлен
                         Рекомендует: libxrender1:i386 но он не будет установлен
                         Рекомендует: libxslt1.1:i386 но он не будет установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.



$ sudo apt install wine-stable wine-stable-i386 wine-stable-amd64 libfaudio0 libosmesa6
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет libfaudio0 недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или
доступен из источников, не упомянутых в sources.list

E: Для пакета «libfaudio0» не найден кандидат на установку

Подскажите, пожалуйста, как быть с этой проблемой (не найден кандидат на установку)?
« Последнее редактирование: 23 Январь 2020, 14:04:39 от Bear-397 »

Оффлайн MonoLife

  • Активист
  • *
  • Сообщений: 356
  • "Пилите, Шура, пилите!" ©
    • Просмотр профиля
    • Under sky of Half-Life
Re: Сломаны пакеты
« Ответ #9 : 13 Апрель 2020, 06:31:40 »
в своё время пользовался такой инструкцией (взято где-то рядом в сети)
E: Пакет <имя пакета> нуждается в переустановке, но найти архив для него не удалось

Если у вас выводится такая строка то это решение для вас.
Для решения этой проблемы нужно стереть информацию от этом пакете в файле /var/lib/dpkg/status.
Отредактируйте файл:

sudo nano /var/lib/dpkg/status

Нажмите на CTRL+F.
И ввести название проблемного пакета.
Удалить весь блок информации о пакете.
ВНИМАНИЕ: Не удалите ничего лишнего!
Сохраните файл.
Введите:

sudo apt-get -f install

Для полной надежности нужно удалить все файлы пакета.
Для этого надо установить и удалить этот пакет.

sudo apt-get install <имя пакета> -y && sudo apt-get remove <имя пакета> -y

Все проблема решена.

cgpk00

  • Гость
Re: Сломаны пакеты
« Ответ #10 : 13 Апрель 2020, 11:06:49 »
Кто может подсказать, что делать, куда копать и
Сам wine не нужен, нужны только его зависимости. Я обычно устанавливаю wine из стокового репозитория, затем удаляю и
(Нажмите, чтобы показать/скрыть)
, если зависимости хотят удалиться ( как в 19.10), то посто переименовываю бинарник wine. Ну а далее дело вкуса, я лично пользую портативные сборки wine

Оффлайн The Green Side

  • Старожил
  • *
  • Сообщений: 1175
    • Просмотр профиля
Re: Сломаны пакеты
« Ответ #11 : 13 Апрель 2020, 12:12:49 »
apt autoremove
Разве не проще выхлоп этой команды скопировать в команду sudo apt install? И тогда эти зависимости больше никогда не захотят удаляться.
Debian Testing (Gnome), Ubuntu Server 18.04

cgpk00

  • Гость
Re: Сломаны пакеты
« Ответ #12 : 13 Апрель 2020, 17:21:40 »
apt autoremove
Разве не проще выхлоп этой команды скопировать в команду sudo apt install? И тогда эти зависимости больше никогда не захотят удаляться.
Так фишка в том, что эти зависимости опять захотят установить wine :) поэтому проще переименовать

 

Страница сгенерирована за 0.09 секунд. Запросов: 26.